# $Revision: 1.19 $, $Date: 2010/08/21 19:07:56 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTML
%define		_subclass	QuickForm
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}_advmultiselect
Summary:	%{_pearname} - element for HTML_QuickForm that emulate a multi-select
Summary(pl.UTF-8):	%{_pearname} - element HTML_QuickForm emulujący wielokrotną listę wyboru
Name:		php-pear-%{_pearname}
Version:	1.5.1
Release:	2
License:	PHP 3.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	eab022b47db9e262f6d126a9c875264f
URL:		http://pear.php.net/package/HTML_QuickForm_advmultiselect/
BuildRequires:	php-pear-PEAR
BuildRequires:	php-pear-PEAR >= 1:1.5.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.2.0
Requires:	php-pcre
Requires:	php-pear
Requires:	php-pear-HTML_Common >= 1.2.5
Requires:	php-pear-HTML_QuickForm >= 3.2.10
Requires:	php-pear-PEAR-core >= 1:1.4.3
Suggests:	php-pear-PHPUnit
Conflicts:	php-pear-HTML_QuickForm = 3.2.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(PHPUnit.*)

%description
The HTML_QuickForm_advmultiselect package adds an element to the
HTML_QuickForm package that is two select boxes next to each other
emulating a multi-select.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet HTML_QuickForm_advmultiselect rozszerza HTML_QuickForm o dwa
znajdujące się obok siebie pola wyboru emulujące wielokrotną listę
wyboru.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/%{_pearname}/{ChangeLog,examples}
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/%{_subclass}/*.php
%{php_pear_dir}/data

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTML_QuickForm_advmultiselect.spec,v $
Revision 1.19  2010/08/21 19:07:56  glen
- updated deps with pearize.sh
- release 2

Revision 1.18  2010/08/20 12:58:59  glen
- updated to: 1.5.1

Revision 1.17  2009/02/15 11:57:17  adamg
- updated to 1.5.0
- tests subpkg

Revision 1.16  2008-05-02 23:15:13  adamg
- updated to 1.4.1

Revision 1.15  2008-01-31 12:16:07  glen
- rel 2

Revision 1.14  2007-06-21 14:07:25  glen
- update to 1.4.0

Revision 1.13  2007/02/28 01:46:32  glen
- 1.3.1

Revision 1.12  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.10  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.9  2006/04/10 18:29:35  glen
- 1.2.0

Revision 1.8  2006/03/29 22:29:07  glen
- rel 2 (rebuild with less deps)

Revision 1.7  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.6  2006/02/16 18:56:36  glen
- require php-pear-PEAR-core, not the full PEAR package with deps

Revision 1.5  2005/12/08 17:03:03  glen
- 1.1.0

Revision 1.4  2005/11/03 20:57:27  glen
- pearize

Revision 1.3  2005/10/03 13:46:19  glen
- new pear packaging

Revision 1.2  2005/09/02 06:51:10  adamg
- updated to 1.0.0

Revision 1.1  2005/08/06 16:23:36  adamg
- new
